@echo off
REM $Id: startos.bat 2480 2006-11-16 23:46:55Z karlyn $
REM reset user hive, check for locked files and startOS

set LOCK_LOG=d:\DM\device.log
echo Start OS log >> %LOCK_LOG%
date /D >> %LOCK_LOG%
time /T >> %LOCK_LOG%

:ResetReg
set FILE_HKCU=D:\HKCUREG
set FILE_HKCU_SAV=D:\HKCUREG.sav
set FILE_USER_HIVE=C:\DOCUME~1\default\user.hv

REM Copy HKCUREG to user.hv if HKCUREG.sav exists.
if not exist %FILE_HKCU_SAV% goto LockCheck
if not exist %FILE_HKCU% goto LockCheck
echo Resetting User hive to factory defaults. >> %LOCK_LOG%
copy %FILE_HKCU% %FILE_USER_HIVE% /Y /V >> %LOCK_LOG%
set FILE_HKCU=
set FILE_HKCU_SAV=
set FILE_USER_HIVE=

:LockCheck
REM Check D:\ for lock folder
set LOCK_DIR=d:\lock
set PARENT_DIR=d:\
set NEXT_LOCK_DIR=CE

:checklockdir
if not exist %LOCK_DIR%\*.* goto %NEXT_LOCK_DIR%check
echo Locked file handler... >> %LOCK_LOG%
echo Lock file folder: %LOCK_DIR% >> %LOCK_LOG%
echo Parent Lock file folder: %PARENT_DIR% >> %LOCK_LOG%
dir %LOCK_DIR% /B >> %LOCK_LOG%
echo attempt move... >> %LOCK_LOG%
move %LOCK_DIR%\*.* %PARENT_DIR% /V >> %LOCK_LOG%
if not exist %LOCK_DIR%\*.* goto movecomplete
echo attempt copy... >> %LOCK_LOG%
copy %LOCK_DIR%\*.* %PARENT_DIR% /Y /V >> %LOCK_LOG%
echo deleting files... >> %LOCK_LOG%
echo y > y.txt
del %LOCK_DIR%\*.* /V < y.txt >> %LOCK_LOG%
del y.txt

:movecomplete
if not exist %LOCK_DIR%\*.* echo %LOCK_DIR% is now empty. >> %LOCK_LOG%
goto %NEXT_LOCK_DIR%check

:CEcheck
REM Check D:\CE for lock folder
set LOCK_DIR=d:\CE\lock
set PARENT_DIR=d:\CE
set NEXT_LOCK_DIR=Done
goto checklockdir

:Donecheck
echo Locked file handler is finished >> %LOCK_LOG%
time /T >> %LOCK_LOG%
set LOCK_DIR=
set PARENT_DIR=
set NEXT_LOCK_DIR=
set LOCK_LOG=

:startCE

REM check for safe boot 
if not "%1"=="" goto startsafe
d:\loadcepc.exe d:\nk.bin
goto done

:startsafe
d:\loadcepc.exe /D:2 /L:640x480x16 d:\nk.bin

:done
