@echo off
REM $Id: IE.bat 2480 2006-11-16 23:46:55Z karlyn $
REM IE.bat - installs IE.CAB file

set MYPACKAGENAME=ie
set MYCABDIR=\Disk2\DM\Temp
set MYCABFILE=%MYCABDIR%\%MYPACKAGENAME%.CAB
set MYUNINSTALLNAME=Microsoft Internet Explorer
set MYUNINSTDIR=\Disk2\CE\Uninstall
set MYXMLDIR=\Disk2\DM\inc
set MYXMLFILE=%MYXMLDIR%\%MYPACKAGENAME%.xml
set MYKITFILE=%MYCABDIR%\kit.xml
set MYLOGFILE=\Disk2\DM\device.log

REM set UPDATEMGRARG=umm
if "%1"=="" goto docabfile
REM if there is some special to do...do it here.

:docabfile
if not exist "%MYCABFILE%" goto nocabfile
echo %MYPACKAGENAME%: Installing %MYCABFILE%...  >> %MYLOGFILE%
\Windows\wceload.exe /noaskdest /noui %MYCABFILE% 2>> %MYLOGFILE%
if exist "%MYCABFILE%" goto instfailed
goto savefile

:instfailed
echo %MYPACKAGENAME%: ERROR! Package failed to remove cab file, %MYCABFILE%. >> %MYLOGFILE%
goto done

:nocabfile
echo %MYPACKAGENAME%: ERROR! Package failed to find cab file, %MYCABFILE%. >> %MYLOGFILE%
goto done

:savefile
REM Save the files needed to support uninstall.
echo %MYPACKAGENAME%: Saving application uninstall data... >> %MYLOGFILE%
if exist "%MYUNINSTDIR%\*.*" goto doSave
REM echo %MYPACKAGENAME%: making folder "%MYUNINSTDIR%" >>  %MYLOGFILE%
mkdir "%MYUNINSTDIR%" 2>> %MYLOGFILE%
:doSave
copy "\Windows\%MYUNINSTALLNAME%.unload" "%MYUNINSTDIR%" 2>> %MYLOGFILE%
copy "\Windows\AppMgr\%MYUNINSTALLNAME%.DLL" "%MYUNINSTDIR%" 2>> %MYLOGFILE%
copy "\Windows\AppMgr\%MYUNINSTALLNAME%.DAT" "%MYUNINSTDIR%" 2>> %MYLOGFILE%
if exist "%MYUNINSTDIR%\%MYUNINSTALLNAME%.unload" del "\Windows\%MYUNINSTALLNAME%.unload" 2>> %MYLOGFILE%
if exist "%MYUNINSTDIR%\%MYUNINSTALLNAME%.DLL" del "\Windows\AppMgr\%MYUNINSTALLNAME%.DLL" 2>> %MYLOGFILE%
if exist "%MYUNINSTDIR%\%MYUNINSTALLNAME%.DAT" del "\Windows\AppMgr\%MYUNINSTALLNAME%.DAT" 2>> %MYLOGFILE%
if not exist "%MYUNINSTDIR%\%MYUNINSTALLNAME%.unload" echo %MYPACKAGENAME%: ERROR! Failed to save "%MYUNINSTDIR%\%MYUNINSTALLNAME%.unload" >> %MYLOGFILE%
if not exist "%MYUNINSTDIR%\%MYUNINSTALLNAME%.DLL" echo %MYPACKAGENAME%: ERROR! Failed to save "%MYUNINSTDIR%\%MYUNINSTALLNAME%.DLL" >> %MYLOGFILE%
if not exist "%MYUNINSTDIR%\%MYUNINSTALLNAME%.DAT" echo %MYPACKAGENAME%: ERROR! Failed to save "%MYUNINSTDIR%\%MYUNINSTALLNAME%.DAT" >> %MYLOGFILE%

:setreboot
echo reboot > "\Windows\r.dms"
if not exist "\Windows\r.dms" goto failedReboot
echo %MYPACKAGENAME%: package set reboot flag. >> %MYLOGFILE%
goto dokitfile

:failedReboot
echo %MYPACKAGENAME%: ERROR! %MYPACKAGENAME% package failed to set reboot flag. >> %MYLOGFILE%

:dokitfile
if not exist "%MYKITFILE%" goto chkxml
echo %MYPACKAGENAME%: copy "%MYKITFILE%" "%MYXMLFILE%" >> %MYLOGFILE%
copy "%MYKITFILE%" "%MYXMLFILE%" 2>> %MYLOGFILE%
:chkxml
if not exist "%MYXMLFILE%" goto noxml
if exist "%MYKITFILE%" del "%MYKITFILE%" 2>> %MYLOGFILE%
goto done

:noxml
echo %MYPACKAGENAME%: ERROR! Package failed to find xml file, %MYXMLFILE%. >> %MYLOGFILE%

:done
set MYPACKAGENAME=
set MYCABDIR=
set MYCABFILE=
set MYUNINSTALLNAME=
set MYUNINSTDIR=
set MYXMLDIR=
set MYXMLFILE=
set MYKITFILE=
set MYLOGFILE=
REM set UPDATEMGRARG=

